CFGETOSPEED(3P)

PROLOG
This manual page is part of the POSIX Programmer's Manual. The Linux implementation of this interface may differ (consult the corresponding Linux manual page for details of Linux behavior), or the interface may not be implemented on Linux.

NAME
cfgetospeed - get output baud rate

SYNOPSIS

#include <termios.h>

speed_t cfgetospeed(const struct termios *termios_p);

DESCRIPTION

The cfgetospeed() function shall extract the output baud rate from the termios structure to which the termios_p argument points.

This function shall return exactly the value in the termios data structure, without interpretation.

RETURN VALUE

Upon successful completion, cfgetospeed() shall return a value of type speed_t representing the output baud rate.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

Refer to cfgetispeed().

FUTURE DIRECTIONS

None.

SEE ALSO

cfgetispeed(), cfsetispeed(), cfsetospeed(), tcgetattr(), the Base Definitions volume of IEEE Std 1003.1-2001, Chapter 11, General Terminal Interface, <termios.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .